iCalendlyDeveloper Docs
Me

PATCHUpdate My Profile

Updates the profile of the authenticated user.

PATCH/v2/me
PATCH/v2/me

Request Body

application/jsonRequired
emailstring
namestring
timeFormatnumber

Must be 12 or 24

Value in: 12 | 24
defaultScheduleIdnumber
weekStartstring
Value in: "Monday" | "Tuesday" | "Wednesday" | "Thursday" | "Friday" | "Saturday" | "Sunday"
timeZonestring
localestring
Value in: "ar" | "ca" | "de" | "es" | "eu" | "he" | "id" | "ja" | "lv" | "pl" | "ro" | "sr" | "th" | "vi" | "az" | "cs" | "el" | "es-419" | "fi" | "hr" | "it" | "km" | "nl" | "pt" | "ru" | "sv" | "tr" | "zh-CN" | "bg" | "da" | "en" | "et" | "fr" | "hu" | "iw" | "ko" | "no" | "pt-BR" | "sk" | "ta" | "uk" | "zh-TW" | "bn"
avatarUrlstring

URL of the user's avatar image

biostring

Bio

metadataobject

You can store any additional data you want here. Metadata must have at most 50 keys, each key up to 40 characters, and values up to 500 characters.

Header Parameters

AuthorizationRequiredstring

value must be Bearer <token> where <token> is api key prefixed with cal_ or managed user access token

curl -X PATCH "https://example.com/v2/me" \
  -H "Authorization: <string>" \
  -H "Content-Type: application/json" \
  -d '{
    "email": "string",
    "name": "string",
    "timeFormat": 12,
    "defaultScheduleId": 0,
    "weekStart": "Monday",
    "timeZone": "string",
    "locale": "en",
    "avatarUrl": "https://cal.com/api/avatar/2b735186-b01b-46d3-87da-019b8f61776b.png",
    "bio": "I am a bio",
    "metadata": {
      "key": "value"
    }
  }'

{
  "status": "success",
  "data": {
    "id": 0,
    "username": "string",
    "email": "string",
    "name": "string",
    "avatarUrl": "string",
    "bio": "string",
    "timeFormat": 0,
    "defaultScheduleId": 0,
    "weekStart": "string",
    "timeZone": "string",
    "organizationId": 0,
    "organization": {
      "isPlatform": true,
      "id": 0
    }
  }
}